# Class SkyMatch2Mapper

java.lang.Object
uk.ac.starlink.ttools.join.SkyMatch2Mapper

All Implemented Interfaces:
  `TableMapper`

public class SkyMatch2Mapper extends Object implements TableMapper
TableMapper which does the work for sky-specific pair matching (tskymatch2).

Since:
  2 Nov 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SkyMatch2Mapper()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`TableMapping`
`createMapping(uk.ac.starlink.task.Environment env, int nin)`
Creates a new mapping object, using a given execution environment for any additional required state.
`uk.ac.starlink.task.StringParameter[]`
`getDecParameters()`
Returns the parameters used to acquire the Declination value expressions in degrees for the two input tables.
`uk.ac.starlink.task.Parameter<Double>`
`getErrorArcsecParameter()`
Returns the parameter used to acquire the match error in arcsec.
`uk.ac.starlink.task.Parameter<Integer>`
`getHealpixLevelParameter()`
Returns the parameter used to acquire the HEALPix level.
`uk.ac.starlink.task.Parameter<uk.ac.starlink.table.join.JoinType>`
`getJoinTypeParameter()`
Returns the parameter used to acquire the join type.
`uk.ac.starlink.task.Parameter<uk.ac.starlink.table.join.PairMode>`
`getPairModeParameter()`
Returns the parameter used to acquire the pair mode.
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
Returns the parameters defined by this mapper.
`uk.ac.starlink.task.StringParameter[]`
`getRaParameters()`
Returns the parameters used to acquire the RA value expressions in degrees for the two input tables.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkyMatch2Mapper

public SkyMatch2Mapper()
Constructor.

## Method Details

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()
Description copied from interface: `TableMapper`
Returns the parameters defined by this mapper.

Specified by:
  `getParameters` in interface `TableMapper`
Returns:
  parameter array

### getRaParameters

public uk.ac.starlink.task.StringParameter[] getRaParameters()
Returns the parameters used to acquire the RA value expressions in degrees for the two input tables.

Returns:
  2-element array of RA parameters

### getDecParameters

public uk.ac.starlink.task.StringParameter[] getDecParameters()
Returns the parameters used to acquire the Declination value expressions in degrees for the two input tables.

Returns:
  2-element array of declination parameters

### getErrorArcsecParameter

public uk.ac.starlink.task.Parameter<Double> getErrorArcsecParameter()
Returns the parameter used to acquire the match error in arcsec.

Returns:
  match error parameter

### getPairModeParameter

public uk.ac.starlink.task.Parameter<uk.ac.starlink.table.join.PairMode> getPairModeParameter()
Returns the parameter used to acquire the pair mode.

Returns:
  pair mode parameter

### getJoinTypeParameter

public uk.ac.starlink.task.Parameter<uk.ac.starlink.table.join.JoinType> getJoinTypeParameter()
Returns the parameter used to acquire the join type.

Returns:
  join type parameter

### getHealpixLevelParameter

public uk.ac.starlink.task.Parameter<Integer> getHealpixLevelParameter()
Returns the parameter used to acquire the HEALPix level.

Returns:
  healpix level parameter

### createMapping

public TableMapping createMapping(uk.ac.starlink.task.Environment env, int nin) throws uk.ac.starlink.task.TaskException
Description copied from interface: `TableMapper`
Creates a new mapping object, using a given execution environment for any additional required state.

Specified by:
  `createMapping` in interface `TableMapper`
Parameters:
  `env` - execution environment
  `nin` - number of input tables that the mapping will operate on if known; -1 if not
Throws:
  `uk.ac.starlink.task.TaskException`